Daraja HTTP Framework 3.0-MS1 HTTP server framework for Object Pascal

Loading...
Searching...
No Matches
Public Member Functions | Public Attributes | Protected Member Functions | List of all members
TdjContextHandler Class Reference

Context handler. More...

Inheritance diagram for TdjContextHandler:

## Public Member Functions
| TdjContextHandler (const string ContextPath)
| Create a ContextHandler.
| ~TdjContextHandler ()
| Destructor.
IContext | GetCurrentContext ()
| The internal IContext field.
| SetInitParameter (const string Key, const string Value)
| Set initialization parameter.
| DoStart ()
| Start the handler.
| DoStop ()
| Stop the handler.
| Handle (const string Target, TdjServerContext Context, TdjRequest Request, TdjResponse Response)
| Handle a HTTP request.
Public Member Functions inherited from TdjHandlerWrapper
| AddHandler (const IHandler Handler)
| Add a handler to the container.
| RemoveHandler (const IHandler Handler)
| Remove a handler from the container.
| DoStart ()
| Start the handler.
| DoStop ()
| Stop the handler.
| Handle (const string Target, TdjServerContext Context, TdjRequest Request, TdjResponse Response)
| Handle a HTTP request.
Public Member Functions inherited from TdjAbstractHandler
| TdjAbstractHandler ()
| Constructor.
| DoStart ()
| Start the handler.
| DoStop ()
| Start the handler.
| Handle (const string Target, TdjServerContext Context, TdjRequest Request, TdjResponse Response)
| Handle a HTTP request.
Public Member Functions inherited from TdjLifeCycle
| Start ()
| Start the handler.
| Stop ()
| Stop the handler.
Boolean | IsStarted ()
Boolean | IsStopped ()

## Public Attributes
TStrings | ConnectorNames
string | ContextPath
IHandler | ErrorHandler
Public Attributes inherited from TdjHandlerWrapper
IHandler | Handler
Public Attributes inherited from TdjLifeCycle
Boolean | Started
| True if the state is "started".
Boolean | Stopped
| True if the state is "stopped".

## Protected Member Functions
Boolean | ContextMatches (const string ConnectorName, const string Target)
| Check if the Document matches this context.
string | ToConnectorName (TdjServerContext Context)
| Creates connector name in the form 'host:port'.
Protected Member Functions inherited from TdjHandlerWrapper
TIdHTTPSession | GetSession (TdjServerContext Context, TdjRequest Request, TdjResponse Response, const Boolean Create)
| Get a HTTP session.
Protected Member Functions inherited from TdjAbstractHandlerContainer
| AddHandler (const IHandler Handler)
| Add a handler.
| RemoveHandler (const IHandler Handler)
| Remove a handler.
Protected Member Functions inherited from TdjLifeCycle
| DoStart ()
| Execute the custom start code.
| DoStop ()
| Execute the custom stop code.
| CheckStarted ()
| Raises an exception if the lifecycle is in "started" state.
| CheckStopped ()
| Raises an exception if the lifecycle is in "stopped" state.

## Detailed Description

Context handler.

## Member Function Documentation

## ◆ ContextMatches()

Boolean TdjContextHandler::ContextMatches | ( | const string | ConnectorName,
|  | const string | Target )
| protected

Check if the Document matches this context.

Parameters

  ConnectorName | the connector name (like 'host:port'
  Target | the target URL document

Returns
  True if the context matches the connector name and target URL document

Referenced by TdjWebComponentContextHandler::Handle().

## ◆ Handle()

TdjContextHandler::Handle | ( | const string | Target,
|  | TdjServerContext | Context,
|  | TdjRequest | Request,
|  | TdjResponse | Response )

Handle a HTTP request.

Parameters

  Target | Request target
  Context | HTTP server context
  Request | HTTP request
  Response | HTTP response

Exceptions

  EWebComponentException | if an exception occurs that interferes with the component's normal operation

See also
  IHandler

## ◆ SetInitParameter()

TdjContextHandler::SetInitParameter | ( | const string | Key,
|  | const string | Value )

Set initialization parameter.

Parameters

  Key | init parameter name
  Value | init parameter value

## ◆ ToConnectorName()

string TdjContextHandler::ToConnectorName | ( | TdjServerContext | Context | ) |
| protected

Creates connector name in the form 'host:port'.

Returns
  connector name

Referenced by TdjWebComponentContextHandler::Handle().

## Member Data Documentation

## ◆ ConnectorNames

TStrings TdjContextHandler::ConnectorNames

See also
  FConnectorNames For reading

## ◆ ContextPath

string TdjContextHandler::ContextPath

See also
  GetContextPath For reading

Referenced by TdjServer::Add(), TdjWebComponentContextHandler::DoHandle(), and TdjWebComponentContextHandler::TdjWebComponentContextHandler().

## ◆ ErrorHandler

IHandler TdjContextHandler::ErrorHandler

See also
  FErrorHandler For reading
  SetErrorHandler For writing